POST V1/PaymentsReconcile.{ext}/InitiateStopPayments?pageIndex={pageIndex}&pageSize={pageSize}

Will Get List of Payment Files which are in AckAccepted Status, which still confirmation need to be updated.
Mandatory Fields : N/A
Optional Fields : pageIndex,pageSize,StopPayment

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

Page Index

integer

Default value is 0

pageSize

Page Size

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Stop Payment Search Entity

EMS.Payments.Entities.StopPayment
NameDescriptionTypeAdditional information
PaymentFileId

Payment File Id (Prokarma Auto generated unique Id)

integer

None.

PaymentFileDetailId

Payment File Details Id(Tansaction Level Id)

integer

None.

PaymentFileName

Payment File Name

string

None.

PFTransactionId

Pf Transaction Id

string

None.

CheckNumber

Payment Check Number

string

None.

PaymentCurrency

Payment Currency (USD/CAD)

string

None.

Product

Product Name (Proutility/ProTelecom/ProRefuse/ProLicense/ProIssueManage)

string

None.

Client

Client Name

string

None.

FundingStatementName

Funding Statement name of the Payment File

string

None.

VendorName

Vendor Name

string

None.

AccountNumber

Account number that is configured for that client

string

None.

PaymentMethod

Payment Method (Check/ECheck/ACH/SUCC)

string

None.

TransactionId

Transaction id nothing but Invoice Number (or) bill number.

string

None.

DueDate

Bill/Invoice due Date

string

None.

SettlementDate

Bill/Invoice Settlement Date

string

None.

PayByAmount

Amount to be Paid

string

None.

DocumentId

Document Id or (Bill)Image Id

string

None.

StopPaymentStatus

Status of Stop Payment "SP Initiated"/"SP Approved"/"SP Executed"

string

None.

Month

Billing Month

integer

None.

Year

Billing Year

integer

None.

PFStopPaymentId

Payment File StopPaymentId , autogenerated Stop Payment Id.

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "paymentFileId": 1,
  "paymentFileDetailId": 1,
  "paymentFileName": "sample string 1",
  "pfTransactionId": "sample string 2",
  "checkNumber": "sample string 3",
  "paymentCurrency": "sample string 4",
  "product": "sample string 5",
  "client": "sample string 6",
  "fundingStatementName": "sample string 7",
  "vendorName": "sample string 8",
  "accountNumber": "sample string 9",
  "paymentMethod": "sample string 10",
  "transactionId": "sample string 11",
  "dueDate": "sample string 12",
  "settlementDate": "sample string 13",
  "payByAmount": "sample string 14",
  "documentId": "sample string 15",
  "stopPaymentStatus": "sample string 16",
  "month": 1,
  "year": 1,
  "pfStopPaymentId": 1
}

application/xml, text/xml

Sample:
<StopPayment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <AccountNumber>sample string 9</AccountNumber>
  <CheckNumber>sample string 3</CheckNumber>
  <Client>sample string 6</Client>
  <DocumentId>sample string 15</DocumentId>
  <DueDate>sample string 12</DueDate>
  <FundingStatementName>sample string 7</FundingStatementName>
  <Month>1</Month>
  <PFStopPaymentId>1</PFStopPaymentId>
  <PFTransactionId>sample string 2</PFTransactionId>
  <PayByAmount>sample string 14</PayByAmount>
  <PaymentCurrency>sample string 4</PaymentCurrency>
  <PaymentFileDetailId>1</PaymentFileDetailId>
  <PaymentFileId>1</PaymentFileId>
  <PaymentFileName>sample string 1</PaymentFileName>
  <PaymentMethod>sample string 10</PaymentMethod>
  <Product>sample string 5</Product>
  <SettlementDate>sample string 13</SettlementDate>
  <StopPaymentStatus>sample string 16</StopPaymentStatus>
  <TransactionId>sample string 11</TransactionId>
  <VendorName>sample string 8</VendorName>
  <Year>1</Year>
</StopPayment>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Payment Files for Initiate Stop Payment

EMSResponseOfEMS.Payments.Entities.StopPayments
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.StopPayments

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "StopPayments",
  "response": {
    "stopPaymentList": [
      {
        "paymentFileId": 1,
        "paymentFileDetailId": 1,
        "paymentFileName": "sample string 1",
        "pfTransactionId": "sample string 2",
        "checkNumber": "sample string 3",
        "paymentCurrency": "sample string 4",
        "product": "sample string 5",
        "client": "sample string 6",
        "fundingStatementName": "sample string 7",
        "vendorName": "sample string 8",
        "accountNumber": "sample string 9",
        "paymentMethod": "sample string 10",
        "transactionId": "sample string 11",
        "dueDate": "sample string 12",
        "settlementDate": "sample string 13",
        "payByAmount": "sample string 14",
        "documentId": "sample string 15",
        "stopPaymentStatus": "sample string 16",
        "month": 1,
        "year": 1,
        "pfStopPaymentId": 1
      },
      {
        "paymentFileId": 1,
        "paymentFileDetailId": 1,
        "paymentFileName": "sample string 1",
        "pfTransactionId": "sample string 2",
        "checkNumber": "sample string 3",
        "paymentCurrency": "sample string 4",
        "product": "sample string 5",
        "client": "sample string 6",
        "fundingStatementName": "sample string 7",
        "vendorName": "sample string 8",
        "accountNumber": "sample string 9",
        "paymentMethod": "sample string 10",
        "transactionId": "sample string 11",
        "dueDate": "sample string 12",
        "settlementDate": "sample string 13",
        "payByAmount": "sample string 14",
        "documentId": "sample string 15",
        "stopPaymentStatus": "sample string 16",
        "month": 1,
        "year": 1,
        "pfStopPaymentId": 1
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.